Name:		ktimetracker
Version:	6.0.0
Release:	%mkrel 1
Summary:	Todo management and time tracker
License:	GPLv2+
Group:		Office/Utilities
Url:		https://apps.kde.org/ktimetracker/
Source0:	https://download.kde.org/unstable/ktimetracker/%{name}-%{version}.tar.xz

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6DBus)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(Qt6Xml)
BuildRequires:	cmake(Qt6Core5Compat)

BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6DBusAddons)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IdleTime)
BuildRequires:	cmake(KF6JobWidgets)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6Notifications)
BuildRequires:	cmake(KF6StatusNotifierItem)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6CalendarCore)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6WindowSystem)
BuildRequires:	cmake(KF6KCMUtils)

Recommends:	%{name}-handbook

%description
KTimeTracker tracks time spent on various tasks. It is useful for tracking
hours to be billed to different clients or just to find out what percentage
of your day is spent playing Doom or reading Slashdot.

KTimeTracker was originally written by Sirtaj Singh Kang and named KArm.
The word "karm" means "work" in the author's native Punjabi.

KTimeTracker was inspired by Harald Tveit Alvestrand's very useful utility
called titrax; we added some eyecandy and functionality like subtasks.

%files -f %{name}.lang
%doc ChangeLog.md README.md
%license LICENSES/*
%{_kf6_bindir}/%{name}
%{_kf6_applicationsdir}/org.kde.%{name}.desktop
%{_kf6_datadir}/dbus-1/interfaces/org.kde.%{name}.%{name}.xml
%{_kf6_iconsdir}/hicolor/*/*/*
%{_kf6_metainfodir}/org.kde.%{name}.appdata.xml

#--------------------------------------------------------------------

%package	handbook
Summary:	KTimeTracker Handbook
Group:		Documentation
BuildArch:	noarch
Requires:	%{name} >= %{version}-%{release}

%description	handbook
This package provides KTimeTracker handbook.

%files handbook
%{_kf6_docdir}/HTML/*/ktimetracker/

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf6

%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Tue Jul 22 2025 daviddavid <daviddavid> 6.0.0-1.mga10
+ Revision: 2258276
- new version: 6.0.0
- switch to Qt6/KF6

* Sat Jun 28 2025 umeabot <umeabot> 5.0.1-4.mga10
+ Revision: 2214459
- Mageia 10 Mass Rebuild

* Wed Apr 06 2022 umeabot <umeabot> 5.0.1-3.mga9
+ Revision: 1846000
- Mageia 9 Mass Rebuild

* Tue Feb 18 2020 umeabot <umeabot> 5.0.1-2.mga8
+ Revision: 1541143
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sat Dec 21 2019 daviddavid <daviddavid> 5.0.1-1.mga8
+ Revision: 1469348
- initial package ktimetracker

